Get one Campaign
Returns one Campaign by solarOS id inside the authenticated organization boundary with External References. Required scope: campaigns:read.
Returns one Campaign by solarOS id inside the authenticated organization boundary with External References. Required scope: campaigns:read.
Authorization<token>
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
id*string
Campaign identifier returned by the Organization API.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/campaigns/string"{ "data": { "id": "string", "name": "string", "status": "string", "type": "string", "description": "string", "isActive": true, "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "budgetedCost": "string", "actualCost": "string", "expectedRevenue": "string", "expectedResponseRate": "string", "metadata": {}, "externalReferences": [ {} ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}